.loginContainer {
    display: flex;
    justify-content:space-around;
    align-items: center;
}

.wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 500px;
    width: 350px;
    border: 2.7px solid var(--color-three);
    border-radius: 10px;
    margin: 50px 0 50px 0;
    position: relative;
}

.wrapper.active .login{
    transform: translateX(-400px);
}

.wrapper.active .cadastro{
    transform: translateX(0px);
}

.wrapper form {
    display: flex;
    flex-direction: column;
    gap: 10px;
}


.login-input-group {
    display: flex;
    position: relative;
    font-size: 1rem;
    justify-content: center;
    align-items: center;
}

.login-input-group .fa-eye {
    display: none;
    margin-left: 1.5px;
}

.login-input-group i {
    color: var(--color-three);
    font-size: 1.5rem;
    position: absolute;
    left: 295px;
    top: 12px;
    cursor: pointer;
}

.login-input-group .login-input {
    all: unset;
    color: var(--color-two);
    padding: 10px;
    border: 2px solid var(--color-four);
    border-radius: 10px;
    transition: 0.3s cubic-bezier(0.4, 0, 0.2, 1);
    width: 88%;
    text-align: left;
}

.login-input-group .login-label {
    position: absolute;
    top: 1rem;
    left: 1.5rem;
    color: var(--color-two);
    pointer-events: none;
    transition: 0.3s cubic-bezier(0.4, 0, 0.2, 1);
}

.login-input-group .login-input:focus {
    border: 2px solid var(--color-three);
}

.login-input-group .login-input:is(:focus, :valid)~label {
    transform: translateY(-140%) scale(0.7);
    background-color: var(--color-five);
    padding-inline: 0.3rem;
    color: var(--color-two);
}

/* ----------------------------------------------------------------------------------------- */

.login-input-group .login-input-date {
    all: unset;
    color: var(--color-two);
    padding: 10px;
    border: 2px solid var(--color-four);
    border-radius: 10px;
    transition: 0.3s cubic-bezier(0.4, 0, 0.2, 1);
    width: 88%;
    text-align: left;
}

.login-input-group .login-label-date {
    transform: translateY(-140%) scale(0.7);
    background-color: var(--color-five);
    padding-inline: 0.3rem;
    position: absolute;
    top: 1rem;
    left: 0.7rem;
    color: var(--color-two);
    pointer-events: none;
    transition: 0.3s cubic-bezier(0.4, 0, 0.2, 1);
}

.login-input-group .login-input-date:focus {
    border: 2px solid var(--color-three);
}

/* ----------------------------------------------------------------------------------------- */

.below{
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: left;
}

.remember-me{
    display: flex;
    margin-left: 6px;
    color: var(--color-three);
    align-items: center;
}

.terms{
    display: flex;
    margin-left: 6px;
    color: var(--color-three);
    align-items: center;
}

.forgot {
    margin-left: 10px;
}

.forgot a {
    color: var(--color-two);
    font-weight: 600;
    text-decoration: none;
}

.forgot a:hover {
    text-decoration: underline;
}

.checkbox {
    accent-color: var(--color-three);
    margin-right: 10px;
    cursor: pointer;
}

.wrapper button {
    border: 2px solid var(--color-four);
    border-radius: 10px;
    background-color: var(--color-four);
    font-size: 1rem;
    font-weight: 500;
    padding: 10px;
    margin-left: 10px;
    margin-top: 5px;
    margin-bottom: 15px;
    width: 94.5%;
    font-family: var(--main-font);
    color: var(--color-two);
    transition: 0.3s;
    cursor: pointer;
}

.wrapper button:hover {
    border: 2px solid var(--color-two);
    background-color: var(--color-two);
    color: var(--color-five);
}

.register {
    display: flex;
    width: 350px;
    gap: 55px;
    justify-content: center;
    color: var(--color-three);
}

.register a {
    color: var(--color-two);
    text-decoration: none;
    font-weight: 600;
}

.register a:hover {
    text-decoration: underline;
}

.register a {
    color: var(--color-two);
    text-decoration: none;
    font-weight: 600;
}

.register-back {
    display: flex;
    width: 350px;
    gap: 125px;
    justify-content: center;
    color: var(--color-three);
}

.register-back a:hover {
    text-decoration: underline;
}

.register-back a {
    color: var(--color-two);
    text-decoration: none;
    font-weight: 600;
}

.login .title {
    color: var(--color-two);
    font-size: 2rem;
    background-color: var(--color-five);
    padding: 0 5px;
    position: absolute;
    top: -133px;
    left: 20px;
    transition: all .3s;
}

.cadastro .title {
    color: var(--color-two);
    font-size: 2rem;
    background-color: var(--color-five);
    padding: 0 5px;
    position: absolute;
    top: -60px;
    left: 20px;
    transition: all .3s;
}

.login{
    display: block;
    position: absolute;
    transition: transform .5s ease;
}

.cadastro{
    display: block;
    position: absolute;
    transform: translateX(400px);
    transition: transform .5s ease;
}

.overflow{
    overflow: hidden;
}

.icon-background{
    width: 20%;
}

@media (max-width: 900px) {
    .icon-background{
        display: none;
    }
}